import logging

from karaokatalog.get_parser import get_parser
from karaokatalog.Library import Library

logging.basicConfig(
    format="%(asctime)s [%(levelname)s] %(message)s", level=logging.INFO
)


if __name__ == "__main__":
    args = get_parser(
        "organize", "Organize UltraStar Deluxe song libraries"
    ).parse_args()
    logging.info("Karaokatalog Organization started")

    logging.info("Loading library")
    library = Library.from_dir(args.library_path)
    logging.info("Library loaded")

    # TODO

    logging.info("Karaokatalog Organization done")
